Bug 205549 - evince crashes when user tries to select text in particular .pdf
evince crashes when user tries to select text in particular .pdf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-07 00:53 EDT by D. Hugh Redelmeier
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 17:28:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of segfaulting run of evince under gdb (4.16 KB, text/plain)
2006-09-07 00:53 EDT, D. Hugh Redelmeier
no flags Details

  None (edit)
Description D. Hugh Redelmeier 2006-09-07 00:53:43 EDT
Description of problem:
When I display a certain .pdf and try to select text, evince/poppler segfaults.

Version-Release number of selected component (if applicable):
Note: x86_64
evince-0.5.1-3
poppler-0.5.1-2


How reproducible:
every time that I've tried.

Steps to Reproduce:
1. get a local copy of
http://www.hollandamerica.com/pdfs/onboard/Gift_Order_Polar.pdf
2. evince Gift_Order_Polar.pdf
3. try to select some text in the displayed document.
  
Actual results:
segfault.

Expected results:
text selection.

Additional info:
This may well be a poppler bug.  I don't have anything else that seems to use
poppler.
Comment 1 D. Hugh Redelmeier 2006-09-07 00:53:45 EDT
Created attachment 135724 [details]
log of segfaulting run of evince under gdb
Comment 2 Kristian Høgsberg 2006-09-22 17:28:54 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.